package com.cool.bang.api;

import com.cool.bang.modules.mysql.service.MySQLService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/match")
public class DataMatch {

    @Autowired
    private MySQLService mySQLService;

    /**
     * 账户表导入
     */
    @GetMapping("account")
    public void account(){
        mySQLService.account();
    }

    /**
     * 项目表导入
     */
    @GetMapping("project")
    public void project(){
        mySQLService.project();
    }

    /**
     * 项目虚拟户、楼幢虚拟户表导入
     */
    @GetMapping("projectAccount")
    public void projectAccount(){
        mySQLService.projectAccount();
    }

    /**
     * 托管申请业务 托管协议导入
     */
    @GetMapping("trusteeshipBusiness")
    public void trusteeshipBusiness(){
        mySQLService.trusteeshipBusiness();
    }

    /**
     * 监管开户申请业务表导入
     */
    @GetMapping("superviseBusiness")
    public void superviseBusiness(){
        mySQLService.superviseBusiness();
    }

    /**
     * 项目解除业务信息导入
     */
    @GetMapping("relieve")
    public void relieve(){
        mySQLService.relieve();
    }

    /**
     * 监管开户解除业务表导入
     */
   /* @GetMapping("superviseRelieve")
    public void superviseRelieve(){
        mySQLService.superviseRelieve();
    }*/

    /**
     * 监管资金转托管业务表、明细表导入
     */
    @GetMapping("superviseTo")
    public void superviseTo(){
        mySQLService.superviseTo();
    }

    /**
     * 工程形象进度业务表、明细表导入
     */
    @GetMapping("progressBusiness")
    public void progressBusiness(){
        mySQLService.progressBusiness();
    }

    /**
     * 拨付业务信息导入
     */
    @GetMapping("appropriation")
    public void appropriation(){
        mySQLService.appropriation();
    }
}
